html {
	box-sizing: border-box;
}

body {
  // prevent 100vw elements (eg toolbar) causing horizontal scrolling
  overflow-x: hidden;

  &.noscroll {
    overflow-y: hidden;
  }
}

*,
*:before,
*:after {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

fieldset {
  border: 0;
}

button,
input,
optgroup,
select,
textarea {
	font-family: inherit;
	font-size: 100%;
	line-height: 1;
	margin: 0;
	border: 0;
	background: none;
}

input[type='text'],
input[type='number'],
input[type='tel'],
input[type='email'],
input[type='password'],
textarea {
  appearance: none;
}

button,
input {
	overflow: visible;
}

button,
select {
	text-transform: none;
}

button,
[type="button"],
[type="reset"],
[type="submit"] {
	-webkit-appearance: button;
	&:hover {
		cursor: pointer;
	}
}
